---
title: "Returns a specific version of a product."
url: "https://developer.migros.ch/apis/products-related-8/versions/605be1d6-ffb8-4b27-8cd0-286a81eaec29/operations/debug-product-version-date"
---

> Full API specification: https://developer.migros.ch/apis/products-related-8/versions/605be1d6-ffb8-4b27-8cd0-286a81eaec29.md

# Returns a specific version of a product.

`GET` `/migros/products/v8/debug/products/{id}/versions/{date}`

Operation ID: `debug-product-version-date`

The accepted parameters are the same as for the /products route. This is an internal route and doesn't necessarily follow API versioning.

## Path parameters

- `id` (string, required)
- `date` (string, date-time, required) - Date and time to fetch product, e.g. 2018-04-16T10:15:40+02:00.

## Responses

- `200` - Returned when successful
- `404` - Returned when the requested resource could not be not found.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Products Related
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/debug/products/{id}/versions/{date}:
    get:
      description: |-
        The accepted parameters are the same as for the /products route.

        This is an internal route and doesn't necessarily follow API versioning.
      operationId: debug-product-version-date
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - description: Date and time to fetch product, e.g. 2018-04-16T10:15:40+02:00.
          in: path
          name: date
          required: true
          schema:
            format: date-time
            type: string
      responses:
        "200":
          description: Returned when successful
        "404":
          $ref: "#/components/responses/404"
      summary: Returns a specific version of a product.
      tags:
        - Products Admin Debug
        - Products Related
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  responses:
    "404":
      description: Returned when the requested resource could not be not found.
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
